package cn.bsystem.ptConst.service;

 import cn.bsystem.ptConst.dao.XtbhlDao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.base.bean.BaseService;

@Service("xtbhlService")
public class XtbhlService extends BaseService {
	
	private static Log log = LogFactory.getLog(XtbhlService.class);
	
	@Autowired
	private XtbhlDao xtbhlDao;
	
	/**
	 * Xtbhl ·ÖÒ³
	 */
	public Map listXtbhlByPage(Map map) throws SQLException {
		List<Map> list = xtbhlDao.query_Xtbhl(map);
		Integer totalCount = xtbhlDao.count_Xtbhl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
